Subject: Re: [Bitcoin-development] Is SourceForge still trustworthy enough to host this list?

From: Troy Benjegerdes <[email-masked]>
Date: Wed, 10 Jun 2015 20:46:47 -0500

And just like I did here, if I were a list member with good reputation,
and felt like reposting something that did not make it to the list by
accident or ommission, or a hashcash posting fee that was too high, it
would end up on the list if enough people bothered to read it and 
either repost, or post the bond to pass the filter.

On Wed, Jun 10, 2015 at 07:04:41PM +0000, Patrick Mccorry (PGR) wrote:
> Yeah post back to list - its an interesting response. So members with a good reputation could vote to say if the bond should be returned to the new member. I just wanted to highlight that people who do not commit a lot of code contribute in other, arguably equal ways. 
> 
> ________________________________________
> From: Troy Benjegerdes <[email-masked]>
> Sent: 10 June 2015 19:58
> To: Patrick Mccorry (PGR)
> Subject: Re: [Bitcoin-development] Is SourceForge still trustworthy enough to host this list?
> 
> Did you want responses sent back to the list?
> 
> I think, if I had a revenue stream from a pay-to-post list in place,
> the first thing I'd do is spend some time on a reputation/'post bond'
> interface in which known users with a good reputation could post for
> no charge, while if you were unknown or new to the list, you would
> need to post a bond.
> 
> If the consensus of the list was that your message was valuable, it
> would be broadcast and archived no charge.
> 
> If enough readers thought the message was spam, those readers could
> collect the posted bond, thus compensating them for the time wasted
> reading said spam.
> 
> I would hope that in such an environment would still work for researchers.
> Does this answer your concerns? Should I repost to the list, because
> I do think your concern is worth sharing?
> 
> On Wed, Jun 10, 2015 at 06:48:29PM +0000, Patrick Mccorry (PGR) wrote:
> > What about researchers who do not commit code but help find problems in this space. I don't think a mailing should be a paid for service - as it's difficult to determine who should and should not pay.
> >
> > Sent from my iPhone
> >
> > > On 10 Jun 2015, at 19:45, Troy Benjegerdes <[email-masked]> wrote:
> > >
> > > I'll sponsor it, if we agree to implement a HashCash spam filter
> > > in the next 6 months. I've run mail servers for $DAYJOB for 5 or
> > > so years, and I've run my own personal server for the last 14.
> > >
> > > Since Bitcoin is a perfectly good HashCash system, I'm thinking a
> > > http://www.courier-mta.org/courierfilter.html filter plugin that
> > > checks to ensure that the required bitcoin fee has been paid, or
> > > better yet included in the message in some standard form.
> > >
> > > I'd like to have several other people with linux admin experience
> > > also agree to host live mirrors of the list, which could be switched
> > > over by whomever controls the relevant MX records for the mail list.
> > >
> > > What do you think a reasonable per-message fee should be, such that
> > > a couple of independent admins can reasonably expect to be able to
> > > pay $250/month each for their time and server hosting/bandwidth costs?
> > >
> > > I also think that anyone who's contributed more than say 10 or 15
> > > commits to https://github.com/bitcoin/bitcoin/graphs/contributors
> > > should be excluded from the pay-with-bitcoin filter, as they have
> > > paid with code. The rest of us should be paying to distribute and
> > > archive their efforts.
> > >
> > >> On Wed, Jun 10, 2015 at 12:46:49PM -0400, Andy Schroder wrote:
> > >> Regarding changing the e-mail list provider. Is anyone interested in
> > >> sponsoring it? There are non-free options, but it may be difficult to
> > >> always ensure the fee is being paid to the provider. I think finding an
> > >> agreeable free solution may have been the issue before? I've also
> > >> thought of trying to make a pay per message or byte solution (and this
> > >> cost could be dynamic based upon the number of current mailing list
> > >> subscribers). This could solve the who pays problem (the sender pays),
> > >> as well as motivate people to be more concise and clear with their
> > >> messages, and at the same time limit spam.
> > >>
> > >>
> > >>
> > >> Any thoughts?
> > >>
> > >> Andy Schroder
> > >>
> > >>> On 06/10/2015 05:35 AM, Wladimir J. van der Laan wrote:
> > >>>> On Wed, Jun 10, 2015 at 10:25:12AM +0200, xor wrote:
> > >>>> http://www.howtogeek.com/218764/warning-don%E2%80%99t-download-software-from-sourceforge-if-you-can-help-it/
> > >>> All our downloads (even old ones) have recently been deleted from sourceforge, for this reason. They haven't been mentioned in Bitcon Core release announcements for a long time.
> > >>>
> > >>> No opinion on the mailing list. Though I think it's less urgent. The issue of moving the mailinglist has come up before a few times and people can't agree where to move to.
> > >>>
> > >>> Wladimir
> > >>>
> > >>>
> > >>> ------------------------------------------------------------------------------
> > >>
> > >>
> > >> ------------------------------------------------------------------------------
> > >> _______________________________________________
> > >> Bitcoin-development mailing list
> > >> [email-masked]
> > >> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> > >
> > > --
> > > ----------------------------------------------------------------------------
> > > Troy Benjegerdes                 'da hozer'                  [email-masked]
> > > 7 elements      earth::water::air::fire::mind::spirit::soul        grid.coop
> > >
> > >      Never pick a fight with someone who buys ink by the barrel,
> > >         nor try buy a hacker who makes money by the megahash
> > >
> > >
> > > ------------------------------------------------------------------------------
> > > _______________________________________________
> > > Bitcoin-development mailing list
> > > [email-masked]
> > > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> --
> ----------------------------------------------------------------------------
> Troy Benjegerdes                 'da hozer'                  [email-masked]
> 7 elements      earth::water::air::fire::mind::spirit::soul        grid.coop
> 
>       Never pick a fight with someone who buys ink by the barrel,
>          nor try buy a hacker who makes money by the megahash

-- 
----------------------------------------------------------------------------
Troy Benjegerdes                 'da hozer'                  [email-masked]
7 elements      earth::water::air::fire::mind::spirit::soul        grid.coop

      Never pick a fight with someone who buys ink by the barrel,
         nor try buy a hacker who makes money by the megahash